Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class AffineTags<T extends java.lang.Comparable<? super T>>

    java.lang.Object
      tesl.TagRelation<T,T>
          tesl.AffineTags<T>

    public class AffineTags<T extends java.lang.Comparable<? super T>>

extends TagRelation<T,T>

An AffineTags relation is a tag relation which specifies that the tag of the "to" clock are an affine function of the tags of the "from" clock: to = a * from + b

Field Summary
`private T` | `a_`
`private T` | `b_`

Constructor Summary
`AffineTags(Clock<T> from, Clock<T> to, T a, T b)`

Method Summary
`T` | `directConversion(T tag)`
`T` | `reverseConversion(T tag)`
`java.lang.String` | `toString()`

Methods inherited from class tesl.TagRelation
`fromClock, toClock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### a_

    private final T extends java.lang.Comparable<? super T> a_

### b_

    private final T extends java.lang.Comparable<? super T> b_

Constructor Detail

### AffineTags

    public AffineTags(Clock<T> from,
                      Clock<T> to,
                      T a,
                      T b)

Method Detail

### directConversion

    public T directConversion(T tag)

  Specified by:
    `directConversion` in class `TagRelation<T extends java.lang.Comparable<? super T>,T extends java.lang.Comparable<? super T>>`

### reverseConversion

    public T reverseConversion(T tag)

  Specified by:
    `reverseConversion` in class `TagRelation<T extends java.lang.Comparable<? super T>,T extends java.lang.Comparable<? super T>>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TagRelation<T extends java.lang.Comparable<? super T>,T extends java.lang.Comparable<? super T>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD